@import 'scss/utils/font-template.scss';

.footerSocial {
  @extend %body-text;
  background-color: white;
  height: 100%;  

  &__container {
    max-width: 1170px;
    width: 100%;
    height: 100%;
    margin: 0px auto;
    padding: 0px 5px;
    display: grid;
    align-items: center;
  }

  &__content {
    display: grid;
    grid-template-columns: 1fr 112px;
    align-items: center;

    @media screen and (max-width: $widthTablet) {
      display: flex;
      flex-direction: column;
    }
  }

  &__logo {
    display: none;

    @media screen and (max-width: $widthTablet) {
      display: block;
    }
  }

  &__text {
    line-height: 17px;

    @media screen and (max-width: $widthTablet) {
      margin: 20px 0px 25px 0px;
      text-align: center;
    }
  }

  &__icons {
    display: flex;
    flex-direction: row;
    gap: 20px;
  }

  &__link {
    width: 100%;
    font-size: 24px;
    line-height: 23px;
  }

  &__image {
    height: 24px;
    width: 24px;
  }
}